- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# QGestureRecognizer Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qgesturerecognizer.h.

`#include <qgesturerecognizer.h>`

List of all members.

## Public Types
enum | ResultFlag { Ignore = 0x0001, MayBeGesture = 0x0002, TriggerGesture = 0x0004, FinishGesture = 0x0008, CancelGesture = 0x0010, ResultState_Mask = 0x00ff, ConsumeEventHint = 0x0100, ResultHint_Mask = 0xff00 }
## Public Member Functions
| QGestureRecognizer ()
virtual | ~QGestureRecognizer ()
virtual QGesture * | create (QObject *target)
virtual Result | recognize (QGesture *state, QObject *watched, QEvent *event)=0
virtual void | reset (QGesture *state)
## Static Public Member Functions
static Qt::GestureType | registerRecognizer (QGestureRecognizer *recognizer)
static void | unregisterRecognizer (Qt::GestureType type)

## Member Enumeration Documentation

enum ResultFlag

Search for all occurrences

Enumerator:

  Ignore | Search for all occurrences
  MayBeGesture | Search for all occurrences
  TriggerGesture | Search for all occurrences
  FinishGesture | Search for all occurrences
  CancelGesture | Search for all occurrences
  ResultState_Mask | Search for all occurrences
  ConsumeEventHint | Search for all occurrences
  ResultHint_Mask | Search for all occurrences

Definition at line 62 of file qgesturerecognizer.h.

        {
            Ignore           = 0x0001,

            MayBeGesture     = 0x0002,
            TriggerGesture   = 0x0004,
            FinishGesture    = 0x0008,
            CancelGesture    = 0x0010,

            ResultState_Mask = 0x00ff,

            ConsumeEventHint        = 0x0100,
            // StoreEventHint          = 0x0200,
            // ReplayStoredEventsHint  = 0x0400,
            // DiscardStoredEventsHint = 0x0800,

            ResultHint_Mask = 0xff00
        };

## Constructor & Destructor Documentation

QGestureRecognizer | ( |  | ) |

virtual ~QGestureRecognizer | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QGesture* create | ( | QObject * | target | ) | `[virtual]`

Search for all occurrences

virtual Result recognize | ( | QGesture * | state,
|  | QObject * | watched,
|  | QEvent * | event
| ) |  | `[pure virtual]`

Search for all occurrences

virtual void reset | ( | QGesture * | state | ) | `[virtual]`

Search for all occurrences

static Qt::GestureType registerRecognizer | ( | QGestureRecognizer * | recognizer | ) | `[static]`

Search for all occurrences

static void unregisterRecognizer | ( | Qt::GestureType | type | ) | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qgesturerecognizer.h

QGestureRecognizer QGestureRecognizer QGestureRecognizer QGestureRecognizer QGestureRecognizer QGestureRecognizer QGestureRecognizer QGestureRecognizer QGestureRecognizer QGestureRecognizer
QGestureRecognizer QGestureRecognizer QGestureRecognizer QGestureRecognizer QGestureRecognizer QGestureRecognizer QGestureRecognizer QGestureRecognizer QGestureRecognizer QGestureRecognizer